/*
 * Copyright 2007 Alin Dreghiciu.
 *
 * Licensed  under the  Apache License,  Version 2.0  (the "License");
 * you may not use  this file  except in  compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed  under the  License is distributed on an "AS IS" BASIS,
 * WITHOUT  WARRANTIES OR CONDITIONS  OF ANY KIND, either  express  or
 * implied.
 *
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ops4j.pax.web.extender.whiteboard.internal.tracker;

import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.ops4j.pax.web.extender.whiteboard.FilterMapping;
import org.ops4j.pax.web.extender.whiteboard.internal.ExtenderContext;
import org.ops4j.pax.web.extender.whiteboard.internal.element.FilterWebElement;

/**
 * Tracks {@link FilterMapping}s.
 *
 * @author Alin Dreghiciu
 * @since 0.4.0, April 05, 2008
 */
public class FilterMappingTracker
    extends AbstractTracker<FilterMapping, FilterWebElement>
{

    /**
     * Constructor.
     *
     * @param extenderContext extender context; cannot be null
     * @param bundleContext   extender bundle context; cannot be null
     */

    public FilterMappingTracker( final ExtenderContext extenderContext,
                                 final BundleContext bundleContext )
    {
        super(
            extenderContext,
            bundleContext,
            FilterMapping.class
        );
    }

    /**
     * @see AbstractTracker#createWebElement(ServiceReference, Object)
     */
    @Override
    FilterWebElement createWebElement(
        final ServiceReference serviceReference,
        final FilterMapping published )
    {
        return new FilterWebElement( published );
    }

}